# i3status configuration file.
# see "man i3status" for documentation.

# It is important that this file is edited as UTF-8.
# The following line should contain a sharp s:
# ß
# If the above line is not correctly displayed, fix your editor first!

general {
        colors = true
        interval = 5
}

#order += "ipv6"
order += "wireless _first_"
#order += "ethernet _first_"
order += "battery all"
order += "disk /"
order += "disk /home"
order += "load"
order += "cpu_usage"
order += "memory"
order += "tztime local"
order += "volume master"

wireless _first_ {
        format_up = " 🛜 %quality @ %essid %ip"
        format_down = " 🛜 down"
}

ethernet _first_ {
        format_up = "E: %ip (%speed)"
        format_down = "E: down"
}

battery all {
        format = " 🔋 %status %percentage %remaining"
}

disk "/" {
        format = " 💽root %used / %total"
}

disk "/home" {
        format = " 💽home %used / %total"
}

load {
        format = " 🔥 %1min %5min %15min"
}

cpu_usage {
	format = " 🖥️ %usage"
}

memory {
        format = " 🎞️ %used / %total"
        threshold_degraded = "1G"
        format_degraded = " 🔥 MEMORY < %available"
}

tztime local {
        format = " ⏰ %Y-%m-%d %H:%M:%S"
}

volume master {
	format = " 🎵 %volume"
}
